ERROR: Module JSTimersExecution is not a registered callable module

#1

Hi, I have JSTimersExecution error after update sdk20. is there any solution? when I return to sdk19, it works but after update sdk20 ,I got that error. Now, when I return to sdk19 , I can not publish the app with update because of downgrade:(( please help…

1 Like

#2

Hi can you give more specific steps to reproduce this error?

0 Likes

#3

Hi Dave. actually when I use sdk19 , there is no problem. but after upgrade the expo sdk, ı got the error as below on Android devices.

0 Likes

#4

Hey suatozkan!

Could you post your package.json? This error commonly happens when the React Native version doesn’t match the Expo SDK RN version used, which may explain why your application works on SDK19.

0 Likes

#5

Hello Jeff,

My package.json is as below…

“name”: “xxxx”,
“version”: “10.0.8”,
“description”: “xxxx”,
“author”: “xxxx”,
“private”: true,
“sdkVersion”: “20.0.0”,
“main”: “main.js”,
“dependencies”: {
“expo”: “^20.0.0”,
“firebase”: “^3.9.0”,
“geofire”: “^4.1.2”,
“lodash”: “^4.17.4”,
“moment”: “^2.18.1”,
“react”: “16.0.0-alpha.12”,
“react-native”: “https://github.com/expo/react-native/archive/sdk-20.0.0.tar.gz”,
“react-native-action-button”: “^2.6.9”,
“react-native-animated-overlay”: “0.0.10”,
“react-native-app-intro”: “^1.1.5”,
“react-native-easy-toast”: “^1.0.6”,
“react-native-elements”: “^0.16.0”,
“react-native-gifted-chat”: “^0.1.4”,
“react-native-icon-badge”: “^1.1.3”,
“react-native-image-header”: “^1.0.1”,
“react-native-interactions”: “^0.4.0”,
“react-native-modal-dropdown”: “^0.4.3”,
“react-native-multislider”: “0.0.14”,
“react-native-navbar”: “^1.7.1”,
“react-native-popup”: “^0.6.1”,
“react-native-popup-dialog”: “^0.7.29”,
“react-native-popup-menu”: “^0.7.5”,
“react-native-scrollable-tab-view”: “^0.6.6”,
“react-native-share”: “^1.0.21”,
“react-native-swiper”: “^1.5.11”,
“react-native-tab-navigator”: “^0.3.3”,
“react-navigation”: “git+https://github.com/react-community/react-navigation.git”
}

0 Likes

#6

Hello Again Jeff,

Do you have any idea for this problem. I shared my package.json above… Thanks

0 Likes

#7

What happens if you create a new SDK20 project? I also noticed that you have a lot of dependencies - it would be good to get more information about the error re: modules.

0 Likes

#8

Hello Jeff, now there is no error but on Android it still does not work.
the logs freeze as below and the app does not launching on Android…

18:54:11
Streaming logs from PRA-LX1…
18:54:11
Running application “main” with appParams: {“initialProps”:{“exp”:{“initialUri”:“exp://192.168.1.29:19000”,“manifest”:{“iconUrl”:“http://192.168.1.29:19001/assets/./assets/icons/app.png",“debuggerHost”:“192.168.1.29:19001”,“env”:{},“icon”:"./assets/icons/app.png",“logUrl”:“http://192.168.1.29:19000/logs”,“privacy”:“public”,“primaryColor”:"#cccccc",“android”:{“package”:“com.appscrubb.scrubb”},“orientation”:“portrait”,“description”:“Shopping”,“bundleUrl”:“http://192.168.1.29:19001/main.bundle?platform=android&dev=false&strict=false&minify=false&hot=false&assetPlugin=expo/tools/hashAssetFiles”,“ios”:{“supportsTablet”:true,“bundleIdentifier”:“com.appscrubb.scrubb”},“packagerOpts”:{“lanType”:“ip”,“dev”:false,“urlType”:“exp”,“hostType”:“lan”,“strict”:false,“minify”:false,“urlRandomness”:“f6-57v”},“xde”:true,“id”:"@suatozkan/scrubb",“developer”:{“tool”:“xde”},“name”:“Scrubb”,“slug”:“scrubb”,“sdkVersion”:“20.0.0”,“mainModuleName”:“main”,“loading”:{“iconUrl”:"./assets/icons/appM.png",“icon”:"./assets/icons/appM.png",“splash”:{“backgroundImage”:"./assets/icons/logginn.png",“image”:{“ios”:{“backgroundImage”:"./assets/icons/logginn.png",“backgroundImageUrl”:"./assets/icons/logginn.png"}}}},“version”:“10.0.8”,“isVerified”:true},“shell”:false}},"rootTag”:1}. DEV === false, development-level warning are OFF, performance optimizations are ON

0 Likes